发布日期:20220329 版本:XTS_Trade_API_2.4.224
+2.3.181基础版本
+2.4.141合并原管理中心沪深资金调拨Api功能
+2.4.224增加用户查询功能
+3.0.0:
1、增加多manager连接功能
2、支持报单委托方式校验
3、修改login接口，增加node和market字段的传入
4、删除api_config.txt文件中的URL字段改用ManagerURLVec字段代替，不支持使用该字段直连柜台，只能通过manager查询柜台地址后连接
5、使用兼容之前版本
6、增加股东账号信息查询接口reqQryInvestorInfo
7、Apidemo中只提供demo.cpp一种demo，其余的删除
+3.0.30:
1、api_config.txt文件中删除URL字段，删除外网配置模式，新增ManagerURL、QueryURL、TradeURL三个配置项，其中ManagerURL、QueryURL必须选择一个配置，其余不配置使用默认值，配置了使用配置值
2、费率查询回报(CXeleRspQryStockFeeField)新增字段最小佣金（MinCommission）、多冻值（MoreFreeze）(3.0柜台字段有效)
3、报单应答(CXeleRspOrderInsertField)、撤单应答(CXeleRspOrderActionField)新增预埋单标记（PreOrderFlag）、登录应答(CXeleRspUserLoginField)新增报单通道字段（TradeType）(3.0柜台字段有效)
4、报单查询(CXeleRspQryOrderField)应答中新增错误编号（ErrorId）
5、Api连接管理中心取消50000及以上端口限制
+3.0.33:
1、报单查询请求（CXeleReqQryOrderField）新增分页查询起始值字段StartNum、单次分页查询数量字段Num
2、报单查询应答（CXeleRspQryOrderField）新增分页查询结束值字段EndNum、新增当前条件下是否可以再次查询标记QryAgain
3、成交查询请求（CXeleReqQryTradeField）新增分页查询起始值字段StartNum、单次分页查询数量字段Num
4、报单查询应答（CXeleRspQryTradeField）新增分页查询结束值字段EndNum、新增当前条件下是否可以再次查询标记QryAgain
+3.0.47:
1、Api新增接口reqLoginEx接口，接口传参为ConfigParam，用户可以使用该接口体传入Api运行所需参数

+3.1.61:
1、新增支持批量报单接口reqInsertBatchOrder
2、增加一个配置参数SoftRspRcv，软件通道是否接收该用户其他节点报单回报

+3.1.223:
1、增加在api程序目录下自动生成日志文件
2、报单查询接口reqQryOrder支持按报单状态查询，配套柜台3.1版本使用
3、增加配置参数PcPrefix，客户终端信息前缀，配套柜台中信证券版本使用
4、修复api心跳检测误超时导致链路断开问题
5、增加可以测量半链路和全链路延迟的demo，在demo/example_order_delay目录下
+3.1.245:
1、修复api心跳发送间隔不准问题
2、修复api检测到manager心跳超时后，无法关闭连接问题
3、修改api日志生成方式为一天一次
4、修复发布版本中对boost的依赖问题
5、修复warm功能打开时api会向软件节点发送warm消息问题
+3.2.34:
1、api代码优化
2、修复api断连后再次登录时有概率发生卡住问题
3、修复api断连后有概率不会调用断连回调问题
4、修复api调用release接口后任然会调用断连回调问题
5、修复api占用内存资源过多问题，在api_config.txt配置文件增加字段控制，详见字段说明
6、修复api配置文件中SocketBlockFlag字段无法有效控制系统cpu占用问题，详见字段说明
7、优化api线程占用过多问题，目前总共5个线程，其中日志线程、管理线程和查询回报线程只占用部分少量cpu资源（无需绑核）。另外，报单发送线程报单回报线程任然需要绑核来提高性能
8、优化了api登录、登出接口调用以及响应慢的问题
9、修改了OrderWarm字段的默认值，默认关闭
10、修改配置文件和头文件中登录结构体中部分说明
11、增加和优化日志信息
12、在api的头文件中增加编译器版本兼容性提示
13、修改了配置文件和头文件中DependentCounterVersion的默认值，修改为2，默认3.0版本以上的柜台
14、api发布demo优化
+3.2.42:
1、更新api文档中部分接口结构体字段
2、修改api发送报文时，在对端关闭的情况下返回值，提示api对端已关闭
3、修复34版本中，api出现的断连问题
4、修复34版本中，api的reqLoginEx接口不能传入pcPrefix字段问题
+3.2.54:
1、在股东账号信息查询应答接口(onRspQryInvestorInfo)增加CustID字段返回
+3.2.56:
1、cmakelists连接库添加pthread编译条件，否则会导致运行失败 
+3.2.60:
1、修复api在编译时，如果不增加pthread参数会导致程序崩溃问题
2、增加详细日志打印参数(SuperLog)，开启时，打印客户调用接口时和回报接口的详细日志，具体见api_config.txt配置文件说明
+3.2.62:
1、添加api_config中OrderWarm的详细说明
2、修改数据结构TXeleAvailableCashType的注释说明
+3.2.65:
1、windows版本库增加报文的详细打印
+3.2.67:
1、Api的demo增加reqLoginEx接口调用示例
+3.2.69:
1、取消Api库中对于8G文件大小的设置
+3.2.70:
1、修改changelog说明
+3.2.71:
1、登录请求CXeleReqUserLoginField，新增站点前缀信息字段PcPrefix、硬盘分区信息字段HdPartitionInfo
2、Manager登录请求CXeleReqUserLoginManagerField，新增站点前缀信息字段PcPrefix、硬盘分区信息字段HdPartitionInfo
+3.2.75:
1、修改字段使用说明
+3.2.78
1、修改windows下发送的数据包量大有概率导致代码崩溃的问题
+3.2.80
1、修复api配置参数中OrderWarm参数开启后偶现tradeTcp断连问题
+3.2.86
1、Api增加是否使用rtnTrade报文构造rtnOrder报文参数(CreateRtnOrderByRtnTrade)，详细使用方式在配置文件说明
+3.2.88
1、沪深期权错误码合并，及新增期权资金调拨错误码
+3.2.89
1、支持国泰重复资金账户
+3.2.94
1、修改SocketBlockFlag配置为1后影响交易链路心跳发送问题
+3.2.95
1、修改windows下获取无线网卡mac地址失败问题
+3.2.97
1、修改期权55061错误码描述
+3.2.98
1、代码优化，防止调用Api时传入超长字段导致程序异常
+3.2.100
1、修改API使用说明文档
+3.2.109
1、修改Api支持选择是否编译CreateRtnOrderByRtnTrade配置参数
+3.2.112
1、修改Api支持详细日志打印，增加心跳以及发送报文的wireshark格式打印
+3.2.113
1、修改windows下获取监cpu序列号大小字节序问题
2、修改windows下获取hostname时缺失一部分字符问题
+3.2.114
1、api支持在gcc-7.2下编译版本
+3.2.115
1、委托查询接口新增业务类型检索字段QryBusinessType（期权使用）
2、委托及成交应答增加备兑标记字段CoveredOrUncovered（期权使用）
+3.2.116
1、增加登录时候的结构体中TradingDay字段，当api自动重连的时候用作校验
2、新增api_config.txt中AutoReLogin字段，api异常断开链接自动重连功能
+3.2.132
1、当api登录成功后心跳的时间改为柜台和manager返回的时间，未登录成功的时候使用配置文件内的
+3.2.134
1、修改配置文件参数在Api启动后修改不生效问题
+3.2.135
1、API连接成功后，manager退出会导致交易链路的心跳阻塞问题
+3.2.136
1、reqLoginEx接口一登录成功后立马断连问题
+3.2.137
1、API重连的时候TradingDay发送值为空
+3.2.141
1、修改在api_config.txt文件没有CreateRtnOrderByRtnTrade字段时报错问题
+3.2.142
1、配置Linux防火墙阻断API和Manager之间的TCP连接，API和柜台的交易链路也会中断
2、重连功能开启，调用登出接口会触发重连流程
+3.2.146
1、修复与柜台和manager的心跳发送的报文中token错误的问题
+3.2.149
1、增加重新登录因为校验失败不会在进行重新登录操作逻辑
+3.2.155
1、修改日志打印开关开启后，reqQryRate和reqQryCentralTradingFund接口打印出来的结构体名错误问题
+3.2.156
1、当柜台端口被占用会导致心跳超时进入死循环现象问题修复
+3.2.157
1、只配置登录查询链路会导致api崩溃问题
+3.2.158
1、去除api_config.txt中站点前缀关于海通的描述
+3.2.159
1、manager错误码修改，避免与柜台冲突
2、期权新增55088错误码
+3.2.160
1、期权错误码优化
+3.2.161
1、修复API仅登录Manager做沪深资金划拨失败
+3.2.162
1、期权增加fpga限仓错误码60110
3.2.164
1、manager同步柜台的tradingday
2、非中信柜台打开重连配置不会重连
+3.2.165
1、windows下获取硬盘序列号有时候会出错
+3.2.166
1、api重连会连接备manager
+3.2.172
1、添加配置支持第一次登录可以一直循环连接manager
+3.2.173
1、第一次连接如果打开了持续连接开关并且报错55037会继续重新连接manager
+3.2.178
1、同时打开isJustconnectManager和AutoReConnect配置不会重连manager
+3.2.179
1、manager错误码优化，兼容老API
+3.2.180
1、支持API股份划拨功能-功能开发
+3.2.212
1、期权组合报单合约标的后两位补空格
+3.2.213
1、柜台重启，不会发送断开回调
+3.2.214
1、windows下由于映射关系获取的本地ip错误导致对应获取不到mac地址问题修复
+3.2.217
1、api配置多个manager地址时不能轮询地址
+3.2.219
1、期权错误码逻辑优化
+3.2.221
1、解决同一台机器不能同时登录32个投资者的问题
+3.2.225
1、期权新增fpga错误码60111(备兑持仓不足)
+3.2.226
1、更新系统中上交所错误码信息
+3.2.227
1、更新系统中上交所错误码信息
+3.2.235
1、期权增加行权风控错误码60112
+3.2.247
1、期权持仓查询新增在途备兑平仓字段
+3.2.248
1、新增软件报单速率过快错误码55092
+3.2.252
1、重连支持连接主柜台失败连接备柜台，并且国君支持此功能
+3.2.259
1、新增返回报文详细打印
+3.2.263
1、api 下行性能优化
+3.2.270
1、api回报打印优化
+3.2.273
1、api文档更新
+3.2.274
1、api文档更新
+3.2.275
1、查询请求接口的详细打印缺失问题
+3.2.283
1、Operway注释说明修改
+3.2.286
1、删除可用网关查询中的Market字段
+3.2.287
1、优化低性能模式下的CPU占用率
+3.2.290
1、报单及成交查询响应增加报单来源字段
+3.2.291
1、修改注释
+3.2.295
1、修改ExchangeFrontID字段你的打印显示
2、修改operway字段的打印显示
+3.2.305
1、更新股票错误码60087信息
+3.2.306
1、更新管理中心和股票错误码55061信息
+3.2.307
1、更新API文档，添加通用接口介绍
+3.2.308
1、更新通用接口之后，支持windowsAPI
+3.2.309
1、更新api文档添加海通支持自动重连功能
+3.2.311
1、站点信息后缀字段APPID支持到40位
+3.2.312
1、api日志优化
+3.2.313
1、api多线程调用api，其中一个调用release会导致其他coredump
+3.2.322
1、修改通用接口的结构说明与文档说明
+3.2.325
1、拆分心跳管理线程，拆分为3个
+3.2.333
1、修改配置描述
+3.2.335
1、新增设置API日志路径及设置是否开启详细日志打印接口
+3.2.337
1、报单增加字段佣金编号CommonissionNumber
+3.2.338
1、API文档内修改对于reqLogin接口的参数说明
+3.2.342
1、报单结构体新增佣金识别字段，修改注释
1、API文档内修改对于reqLogin接口的参数说明
+3.2.343
1、报单增加内部使用字段ReservedNum
+3.2.346
1、demo中增加批量报单和指定网关报单接口示例
+3.2.349
1、修改指定网关报单注释，避免客户使用错误
+3.2.351
1、demo中增加资金调拨示例
+3.2.352
1、支持tcp_direct极速模式报单
+3.2.356
1、增加typedef定义uLong和Long保证在windows下和linux的long长度相等
+3.2.363
1、增加系统参数登录报文中的密码和账户是否加密
+3.2.364
1、配置文件中增加公网ip和端口号参数
+3.2.376
1、增加报单透传operway字段，报单中如果operway发送了值会发送给fpga
+3.2.399
1、修改自动重连设置的连接超时时间
+3.2.403
1、持仓划拨请求，股份发生数类型改为有符号整型，由后端判断发送数据的合法性
2、持仓划拨回报，股份发生数类型改为有符号整型
+3.2.404
1、添加版本号校验参数，此参数配置XeleSecuritiesTraderApi.h头文件的目录地址
+3.2.411
1、增加了返回集中柜台错误信息的功能
+3.2.415
1、更新多网关报单rtn回报中结构体
+3.2.416
1、Api登录硬件节点后是否接收其他硬件节点的回报信息，默认接收
+3.2.423
1、修改当集中交易返回柜台没有的错误信息时，api中回报errorid为0的问题，应该为55059
+3.2.429
1、xelebot调用release之后再次调用create可能会造成崩溃
+3.2.431
1、API登录接口增加入参，支持传入完整终端信息
+3.2.440
1、增加单独登录互联网柜台查询端口逻辑
+3.2.445
1、单独登录45000端口，登出崩溃问题修复
+3.2.446
1、增加互联网登录manager的功能
+3.2.447
1、修改FpgaRspRcv参数说明
+3.2.450
1、添加程序化风控错误码和错误信息
+3.2.452
1、优化第一单延迟,添加报单接口warm单功能
+3.2.453
1、修改程序化风控拼写错误单词
+3.2.461
1、频繁的登录登出会导致登出失败
+3.2.463
1、更新发布README_API.txt中的目录结构
2、api_client增加reqLoginEx接口，由reqLoginEx.txt配置
+3.2.465
1、api查询线程接收性能优化
+3.2.491
1、增加查询程序化风控信息接口（部分券商支持）
+3.2.500
1、TXelePrcProgramType从char数组类型改为char类型
2、风控查询回报中的证券类别字段修改为PrcSecuritiesType
3、PRCPROGRAM_DAILY_LIMIT和PRCPROGRAM_RATE_LIMIT枚举从字符型改成数字类型
+3.2.503
1、Api新增参数CaptureSignal，用来控制Api是否捕获信号
+3.2.512
增加55096错误码，表示报单发往交易所失败
+3.2.513
增加55097,55098错误码，表示:网关断链,无法报单和平台已关闭,预埋单会触发
+3.2.515
api登出时，可能会出现无柜台交易链路断连回调问题修复
+3.2.518
针对配置文件api_config.txt中新增字段场景进行优化。
该版本后，如果不关心新增配置字段的功能，可以选择不替换配置文件。
Api在启动时，如果使用的是旧版本配置文件，那么对于新版本中增加的配置字段采用默认值进行处理，避免部分用户因未替换新版配置文件导致api启动失败。
+3.2.520
更新PrcProgramType描述
+3.2.530
新增部分券商出入仓及记录查询接口
+3.2.550
1、Api新增参数ThreadSafe，支持部分接口多线程调用
2、修改文档中部分字段说明
+3.2.567
1、增加持仓查询支持查询双市场
+3.2.571
1、修改55020错误码翻译
+3.2.574
1、沪深增加55020错误码
+3.2.575
1、增加错误码
+3.2.577
1、增加错误码55106
+3.2.578
1、增加查询交易所网关接口
+3.2.582
1、支持tcpdirect
+3.2.613
1、更新交易所错误码
+3.2.615
1、增加使用UserLocalID撤单功能
+3.2.616
1、修改60217错误码描述
+3.2.617
1、修改60217错误码描述
+3.2.633
1、部分券商支持仓位变化回报通知
+3.2.635
1、增加登录参数AutoReLoginRspSwitch
+3.2.638
1、去除API日志文件的软连接
+3.2.640
1、修改使用文档说明中部分描述不准确问题
+3.2.644
1、投资者信息查询回报接口增加专业投资者标志
+3.2.645
1、增加交易所状态自动上报接口
+3.2.646
1、修改api发布文档中的错误描述
2、修改头文件中的错误描述
+3.2.647
1、修改api回报日志打印方式，增加TID字段，方便识别
+3.2.650
1、证券信息查询增加业务字段
+3.2.652
1、费率查询支持查询ETF申赎相关费率
+3.2.657
1、修改IsRegistration字段类型
+3.2.660
1、修改获取硬盘序列号的方法为读取系统文件，获取硬盘序列号失败报错error54,禁止登录
+3.2.673
1、增加错误码55113,55114
+3.2.676
1、优化登录接口调用时候，对于登录状态的报错提示
2、优化tcp连接的打印，每次连接都会由相应的打印信息
+3.2.684
1、取消API登录后的屏幕上的配置信息打印
2、API头文件增加报单类型宏定义
3、API报单查询中，新增ExchangeFrontID字段
+3.2.689
1、权益查询新股，配股额度查询请求改为新股查询
+3.2.690
1、出入金时，增加可用资金不足的错误码55115
+3.2.695
1、支持QFII连接柜台进行查询操作
2、增加QFII报单查询接口和成交查询接口
+3.2.700
1、修改QFII接口中部分字段使用说明
+3.2.704
1、持仓查询回报接口增加当日申购持仓数量、当日赎回成分股数量、在途申购数量、出入仓数量字段
+3.2.705
1、修改昨持仓剩余类型为有符号类型
3.2.706
1、第一次登录tcp超时问题优化
3.2.711
1、新增QFII持仓查询接口
3.2.721
1、报单、撤单请求及报单查询响应增加委托方式扩展字段
3.2.730
1、TXeleTransferType类型由char改为unsigned char
3.2.742
1、集中交易持仓调拨艾科柜台明细查询应答（CXeleRspQryPositionTransferRecordField）结构体增加sno字段
2、集中交易持仓调拨艾科柜台明细查询应答（CXeleRspQryInOutPositionDetailsField）结构体增加sno字段
3.2.753
1、增加api使用优化文档
3.2.762
1、增加api的裸协议demo
3.2.763
1、修改裸协议demo，主要修改部分字段定义
3.2.764
1、修改裸协议demo，主要修改部分字段定义
3.2.766
1、裸协议demo修改
3.2.774
1、账户资金查询应答新增参考资产、总参考市值等字段
2、持仓查询应答新增参考市值字段
3.2.782
1、修改及新增TXeleTransferType枚举
3.2.785
1、修改及新增TXeleLimitPriceClassType枚举,TXeleSecuritiesSubType枚举
3.2.826
1、新增错误码55116
2、CXeleRspQryStockClientAccountField新增字段OrigWithdrawableFund
3.2.845
1、修改登出时Manager回调接口偶现market报错
3.2.868
1、报单回报结构体增加ExecID字段
